# Class SmilesSearch.SmilesTarget

java.lang.Object
org.jmol.util.JmolMolecule
org.jmol.smiles.SmilesSearch.SmilesTarget

Enclosing class:
  `SmilesSearch`

public static class SmilesSearch.SmilesTarget extends JmolMolecule

Author:
  Bob Hanson hansonr@stolaf.edu

## Field Summary

### Fields inherited from class JmolMolecule

`ac, altElementCounts, altElementMax, atNos, atomList, elementCounts, elementNumberMax, firstAtomIndex, indexInModel, mf, modelIndex, moleculeIndex, nElements, nodes`

## Constructor Summary

Constructors
Constructor
Description
`SmilesTarget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkAromaticDefined()`
`void`
`finalizeAromatic(Lst<BS> lstAromatic)`
`void`
`finalizeRingData()`
`boolean`
`hasRingData(int flags)`
`void`
`setAtoms(Node[] atoms, int ac, BS bs)`
`int`
`setRingData(int strictness, boolean needRingData, int ringDataMax)`

### Methods inherited from class JmolMolecule

`addMolecule, getBitSetForMF, getBranchBitSet, getBranchesForInversion, getMFArray, getMolecularFormula, getMolecularFormulaAtoms, getMolecules`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmilesTarget

public SmilesTarget()

## Method Details

### hasRingData

public boolean hasRingData(int flags)

### setAtoms

public void setAtoms(Node[] atoms, int ac, BS bs)

### checkAromaticDefined

public void checkAromaticDefined()

### setRingData

public int setRingData(int strictness, boolean needRingData, int ringDataMax)

### finalizeAromatic

public void finalizeAromatic(Lst<BS> lstAromatic)

### finalizeRingData

public void finalizeRingData()